메인 콘텐츠로 건너뛰기
POST
/
admin
/
regions
리전 생성
curl --request POST \
  --url https://api.headlesscommerce.io/v1/admin/regions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "code": "<string>",
  "currency": "<string>",
  "tax_rate": 123,
  "prices_include_tax": true,
  "is_default": true,
  "metadata": {}
}
'
{
  "id": "<string>",
  "name": "<string>",
  "code": "<string>",
  "currency": "<string>",
  "tax_rate": 123,
  "prices_include_tax": true,
  "is_default": true,
  "is_active": true,
  "metadata": {},
  "created_at": "2023-11-07T05:31:56Z"
}

인증

Authorization
string
header
필수

API Key. Example: sk_live_xxxxx or pk_live_xxxxx

본문

application/json
name
string
필수
code
string
필수
Required string length: 1 - 10
currency
string
필수
Required string length: 3
tax_rate
integer
prices_include_tax
boolean
is_default
boolean
metadata
object

응답

201 - application/json

생성됨

id
string
name
string
code
string

Region code (e.g., KR, US)

currency
string

ISO 4217

tax_rate
integer

basis points. 1000 = 10%

prices_include_tax
boolean
is_default
boolean
is_active
boolean
metadata
object
created_at
string<date-time>